plugins {
    java
    id("org.springframework.boot") version "3.0.5" apply false
    id("io.spring.dependency-management") version "1.1.0" apply false
}

extra["springCloudVersion"] = "2022.0.2"

subprojects {
    apply(plugin = "java")
    apply(plugin = "org.springframework.boot")
    java.sourceCompatibility = JavaVersion.VERSION_17

    repositories {
        mavenCentral()
    }

    dependencies {
        implementation(
            platform("org.springframework.cloud:spring-cloud-dependencies:${property("springCloudVersion")}")
        )

        testImplementation("org.springframework.boot:spring-boot-starter-test")
        testImplementation("org.junit.jupiter:junit-jupiter-api:5.9.2")
        testRuntimeOnly("org.junit.jupiter:junit-jupiter-engine:5.9.2")
    }

    tasks.getByName<Test>("test") {
        useJUnitPlatform()
    }

    apply(plugin = "io.spring.dependency-management")
}
